package app26d;

import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.Servlet;
import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;

public class ConfigTestServlet implements Servlet {
    ServletConfig servletConfig;

    public void init(ServletConfig servletConfig) throws ServletException {
        this.servletConfig = servletConfig;
    }

    public void service(ServletRequest request, ServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html");
        PrintWriter writer = response.getWriter();
        writer.println("<html>");
        writer.println("<head><title>Servlet Config Test</title></head>");
        writer.println("<body>");
        writer.println("<b>Emergency contact details:</b><br/>");
        writer.print(servletConfig.getInitParameter("contactName"));
        writer.println(" (" + servletConfig.getInitParameter("contactEmail")
                + ")");
        writer.println("</body>");
        writer.println("</html>");
    }

    public void destroy() {
    }

    public String getServletInfo() {
        return null;
    }

    public ServletConfig getServletConfig() {
        return null;
    }
}
